## steam-csgo
steam-csgo is the base image for an 'CounterStrike: Global Offensive'
server.

### Building steam-csgo

```
docker build -t zombi/steam-csgo .
```

### Running steam-csgo
The image will download the latest server files in case they dont exist,
or update them on every run.

This path should be mounted:
`/home/steam/games/`

```
docker run -dit \
 --name csgo-1 \
 -p 27015:27015/udp \
 -p 27015:27015 \
 -v /data/steam-games/:/home/steam/games/ \
 zombi/steam-csgo +game_type 0 +game_mode 1 \
 +mapgroup mg_active +map de_dust2 +maxplayers 12 \
 +rcon_password relativegal \
 +sv_setsteamaccount LONGSTEAMACCOUNTTOKEN87470585FF4
```

to start up a simple competetive server to practice some dust2.

### How do I manage this thing?
A rcon password needs to be set with `+rcon_password password`

### Halp, the server is stuck in LAN mode!
you need to have a **valid steamaccount token** to launch a global server.
